IMAPFILTER(1)

NAME
imapfilter - mail filter

SYNOPSIS
imapfilter [-Vdiv] [-c configfile] [-e 'command'] [-l logfile]

DESCRIPTION
imapfilter is a mail filtering utility. It connects to remote mail servers using the Internet Message Access Protocol (IMAP), sends searching queries to the server and processes mailboxes based on the results. It can be used to delete, copy, move, flag, etc. messages residing in mailboxes at the same or different mail servers. The 4rev1 and 4 versions of the IMAP protocol are supported.

The options are as follows:

-V  Displays program's version.

-c configfile
    Path to the configuration file. The default is $HOME/.imapfilter/config.lua.

-d  Debug mode; creates a temporary file name in $HOME/.imapfilter/debug.XXXXXX, where debugging messages about the program's progress are printed.

-e 'command'
    May be used to enter one line of program (configuration). When this options is used, imapfilter will not look for any configuration file.

-i  Enters interactive mode after executing the configuration file or the command line.

-l logfile
    File that contains logs of error messages imapfilter produces.

-v  Verbose mode; prints detailed information about the program's actions.

ENVIRONMENT

HOME
    User's home directory.

FILES

$HOME/.imapfilter/config.lua
    Default configuration file. Because this file may contain sensitive data such as user passwords, the recommended permissions are read/write for the user, and not accessible by others.

$HOME/.imapfilter/certificates
    File where the SSL/TLS certificates are stored.

$HOME/.imapfilter/debug.XXXXXX
    Debug files.

SEE ALSO
imapfilter_config(5)

CONFORMING TO

IMAP4rev1:
    RFC 3501, RFC 3348, RFC 2683, RFC 2595, RFC 2342, RFC 2195, RFC 2177

IMAP4:
    RFC 1730

AUTHORS
Lefteris Chatzimparmpas <lefcha@hellug.gr>